Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1549761

1. Proposed title of this feature request
Avoid the accidental Virtual Machines deletion from the compute resources when associated Host profile is deleted in Sat6 by setting
a global configurable flag.

3. What is the nature and description of the request?
When a VM from a compute resource is registered into satellite, is linked to his host profile.

In consequence of that, if that host is deleted from Satellite, is deleted from the compute resource as well.

The request is to have a flag to avoid this behavior, but to maintain association, in order to be able to work and edit the host
configuration (like puppet modules and so on).

4. Why does the customer need this? (List the business requirements here)
This feature is needed in order to avoid to have to de-associate VMs to prevent accidental VMs deletion.

5. How would the customer like to achieve this? (List the functional requirements here)

An option in foreman like:

delete_resource_on_host_removal

by default could be kept to true, to maintain the usual behaviour, but optionally this could be set to false, and change the behaviour.

6. For each functional requirement listed in question 5, specify how Red Hat and the customer can test to confirm the requirement is
successfully implemented.

a) activate the flag
b) delete and host profile
c) ensure the VM remain active and existent

8. Does the customer have any specific timeline dependencies?
The sooner the better: currently the UX of the customer with the product is highly impacted by this.

9. Is the sales team involved in this request and do they have any additional input?
no

11. Would the customer be able to assist in testing this functionality if implemented?
Yes, sure

Related issues:

Related to Foreman - Bug #25731: Confusing VM deletion setting description Closed
Related to Foreman - Feature #25735: Add the host deletion warning also to ho... Closed
Related to Foreman - Feature #21437: the delete host confirmation box could b... Resolved
https://bugzilla.redhat.com/show_bug.cgi?id=1549761

Associated revisions

Revision 336a5be5 - 10/12/2018 12:44 PM - Marek Hulan
Fixes #22737 - add a global option to keep VMs

History

#1 - 10/08/2018 08:32 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Marek Hulan

- Pull request https://github.com/theforeman/foreman/pull/6122 added

#2 - 10/12/2018 12:45 PM - Lukas Zapletal

- Subject changed from Flag to avoid deletion from compute resource of an host associated when it's removed from satellite
to Flag to avoid deletion from compute resource of an host associated when it's removed from satellite

- Fixed in Releases 1.20.0 added

#3 - 10/12/2018 01:01 PM - Marek Hulan
- Status changed from Ready For Testing to Closed

Applied in changeset 336a5be581258909049f3c007afde3f884654a4d.

#4 - 12/19/2018 11:58 AM - Marek Hulan
- Related to Bug #25731: Confusing VM deletion setting description added

#5 - 12/19/2018 03:50 PM - Marek Hulan
- Related to Feature #25735: Add the host deletion warning also to host bulk action added

#6 - 01/11/2019 11:38 AM - Marek Hulan

- Related to Feature #21437: the delete host confirmation box could be a bit more explicit added
